Bug 22648 - Traceback in package selection screen
Summary: Traceback in package selection screen
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-21 07:40 UTC by Joshua Buysse
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-21 20:51:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Buysse 2000-12-21 07:40:27 UTC
I triggered this with a double-click in the package selection screen, in 
the pane that lists each package.  


File "/usr/bin/anaconda", line 471, in ?
  intf.run(todo, test=test)
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 364, in run
  self.icw.run ()
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 823, in run
  mainloop ()
File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
  _gtk.gtk_main()
File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
  ret = apply(self.func, a)
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/package_gui.py", line 
161, in button_press
  row, col = self.packageList.get_selection_info (event.x, event.y)
TypeError: unpack non-sequence

Comment 1 Joshua Buysse 2000-12-21 07:45:57 UTC
Just reproduced the same traceback, by clicking on a line that doesn't have a 
package.  (If the package list doesn't fill the pane, click below it.  Boom.)

Comment 2 Brent Fox 2000-12-21 19:55:01 UTC
Verified this behavior.  Will fix immediately.

Comment 3 Brent Fox 2000-12-21 20:51:31 UTC
Fixed in CVS.  Brock, please verify.

Comment 4 Brock Organ 2001-01-08 17:14:46 UTC
verified fix in qa0108.0 test tree ...


Note You need to log in before you can comment on or make changes to this bug.